import api from './api'


export function getContractPage(data) {
  return api.get('/crm/contract/page', data, { login: false })
}

export function getContractNo(data) {
  return api.get('/crm/contract/getCode', data, { login: false })
}


export function createContract(data) {
  return api.post('/crm/contract/create', data, { login: false })
}


export function getContract(data) {
  return api.get('/crm/contract/get', data, { login: false })
}


export function getContractProductListByContractId(data) {
  return api.get('/crm/contract/contract-product/list-by-contract-id', data, { login: false })
}


export function updateContract(data) {
  return api.put('/crm/contract/update', data, { login: false })
}


export function check(data) {
  return api.post('/crm/contract/check', data, { login: false })
}


